%define	name	task-mate
%define	version	1.19.2
%define	release	%mkrel 1

Name:		task-mate
Summary:	Lightweight Desktop Environment
Version:	%{version}
Release:	%{release}
Group:		Tasks
URL:		http://mate-desktop.org/
License:		GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
#core packages
Requires: %{_lib}matekbd4
Requires: %{_lib}matemixer0
Requires: %{_lib}mateweather1
Requires: %{_lib}polkit-gtk-mate1_0
Requires: libmatekbd
Requires: libmatemixer
Requires: libmateweather
Requires: mate-applets
Requires: mate-backgrounds
Requires: mate-control-center
Requires: mate-desktop
Requires: mate-dialogs
Requires: mate-file-manager
Requires: mate-file-manager-extensions
Requires: mate-icon-theme
Requires: mate-media
Requires: mate-menus
Requires: mate-notification-daemon
Requires: mate-panel
Requires: mate-polkit
Requires: mate-power-manager
Requires: mate-screensaver
Requires: mate-session-manager
Requires: mate-settings-daemon
Requires: mate-terminal
Requires: mate-themes
Requires: mate-utils
Requires: mate-window-manager
Requires: python-mate-menus


#packages needed to make mate work
Requires: polkit
Requires: dconf
Requires: dconf-editor
Requires: gtk-murrine-engine
Requires: gvfs
Requires: upower
Requires: iso-codes
Requires: gsettings-desktop-schemas
Requires: udisks2
Requires: %{_lib}atasmart4
Requires: %{_lib}avahi-ui1-gtk3
Requires: %{_lib}gvfs0
Requires: %{_lib}unique3.0_0
Requires: %{_lib}upower-glib3
Requires: %{_lib}xklavier16
Requires: %{_lib}notify4
Requires: %{_lib}polkit1_0
Requires: %{_lib}secret1_0
Requires: gnome-keyring
#packages to make help work
Requires: yelp
Requires: yelp-xsl
 
 
# This is now in combined in mate-file-manager-extensions
Obsoletes: mate-file-manager-image-converter
Obsoletes: mate-file-manager-open-terminal
Obsoletes: mate-file-manager-sendto
Obsoletes: mate-file-manager-actions
Obsoletes: mate-file-manager-gksu

#depreciated my the Mate developers
Obsoletes: libmatewnck
Obsoletes: %{_lib}matewnck0

Obsoletes: mate-keyring
Obsoletes: %{_lib}matekeyring1
Obsoletes: libmatekeyring-lang

Obsoletes: mate-doc-utils
Obsoletes: mate-doc-utils-devel

Obsoletes: mate-bluetooth 
Obsoletes: mate-bluetooth-devel

Obsoletes: mate-netspeed

%description
MATE is a fork of the GNOME 2 desktop. It provides an intuitive
and attractive desktop to Linux users using traditional
metaphors.This task will install the core desktop. Additional
Mate programs are installed with the task-mate-extras package.

This task will install the following core packages:

- mate-applets
- mate-backgrounds
- mate-control-center
- mate-desktop
- mate-dialogs
- mate-file-manager
- mate-file-manager-extensions
- mate-icon-theme
- mate-media
- mate-menus
- mate-notification-daemon
- mate-panel
- mate-polkit
- mate-power-manager
- mate-screensaver
- mate-session-manager
- mate-settings-daemon
- mate-terminal
- mate-themes
- mate-utils
- mate-window-manager
- python-mate-menus
- libmatekbd
- libmatemixer
- libmateweather

%package extras
Summary: Extra programs for the Mate Desktop
Group: Tasks
Requires:  %{name} = %{version}
Requires: mate-calc
Requires: mate-character-map
Requires: mate-document-viewer
Requires: mate-document-viewer-dvi
Requires: mate-extras-login-sound
Requires: mate-extras-mmkeys
Requires: mate-faenza-icon-theme
Requires: mate-file-archiver
Requires: mate-image-viewer
Requires: mate-menu-editor
Requires: mate-terminal-root
Requires: mate-sensors-applet
Requires: mate-system-log
Requires: mate-system-monitor
Requires: mate-text-editor
Requires: blueman
Obsoletes: mate-nettool


%description extras
These are extra programs and utilites for the
Mate Desktop. 

This task will install the following packages:

- mate-calc
- mate-character-map
- mate-document-viewer
- mate-document-viewer-dvi
- mate-extras-login-sound
- mate-extras-mmkeys
- mate-faenza-icon-theme
- mate-file-archiver
- mate-image-viewer
- mate-menu-editor
- mate-terminal-root
- mate-sensors-applet
- mate-system-log
- mate-system-monitor
- mate-text-editor
- blueman for bluetooth


%files
%defattr(-,root,root)

%files extras
%defattr(-,root,root)

%post
chkconfig haldaemon on > /dev/null 2>&1
service haldaemon restart > /dev/null 2>&1


%changelog
* Sat Jan 13 2018 adrianomorselli <adrianomorselli> 1.19.2-1uplos2018
- rebuild for mate-next thanks to threepio
